Referência da APIData sources
Setup Openi internal reconciliation
Server-to-server endpoint used by openi-business when a company enables auto-reconciliation. Provisions an `openi-internal` data source and the `openi_invoices`/`openi_accounting_entries` datasets. Idempotent.
Authorization
ApiKeyAuth x-api-key<token>
Tenant API key
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
companyId*string
Format
uuidResponse Body
application/json
application/json
application/json
curl -X POST "https://example.com/v1/data-sources/openi/setup-reconciliation" \ -H "Content-Type: application/json" \ -d '{ "companyId": "8bb73d03-06b4-47c7-80c7-59301f770eda" }'{ "dataSourceId": "2b37f84c-d876-441e-9b27-0c3482a7c574", "dataSourceCreated": true, "datasets": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "kind": "string" } ]}
